QGIS Application - Bug report #5875
QGIS doesn't use its own GDAL tools and fails if another version of GDAL is installed
2012-06-27 01:27 AM - Jonathan Ball

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 15336
Description

This issue applies to both Windows 32 and 64 bit and | have tried it on Windows 7, Vista and XP. | have also had the same error with
QGIS 1.7x, 1.8 and 1.9.9.

Due to the dependency of another piece of software | MUST have GDAL installed for Python 3.2 independent of QGIS. However, QGIS
appears to have its own instalation of GDAL and version 1.9 will even let you specify where the repositories are. However, QGIS does
not look for its own GDAL install but tries to use the one referenced by the Windows environment variable regardless of whether | specify
an appropriate path (in QGIS 1.9) and despite the fact that | can see the gdal18.dll in the QGIS \\bin folder.

On startup, in QGIS 1.7x | get the error that the module is not compatible with Python 2.5 and in QGIS 1.8 | get the error meesage "Unable
to load GdalTolls plugin. The required osgeo [python-gdal] module is missing. Install it and try again."

If I uninstall QGIS and GDAL for Python32, then reinstall just QGIS, the issue goes away until | try to install GDAL for Python32.
| have been told that it ought to be possible to have an independent GDAL instalation alongside QGIS because QGIS uses its own

instalation of Python and GDAL, but this does not seem to work. Please can we have an option to tell QGIS which dlis to use for GDAL
or, even better, can we have a version of QGIS for Python 3.2?

History

#1 - 2012-06-27 01:33 AM - Alexander Bruy

Try to set path to GDAL binaries and other files in GDALTools plugin options

#2 - 2012-09-04 12:06 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#3 - 2012-12-30 10:07 AM - Giovanni Manghi
- Assignee set to Giuseppe Sucameli

#4 - 2012-12-31 01:23 AM - Paolo Cavallini
- Assignee changed from Giuseppe Sucameli to anonymous -

#5 - 2013-07-12 03:41 PM - Jiirgen Fischer
- Assignee deleted (anonymous -)

#6 - 2014-06-28 07:42 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority
#7 - 2015-12-13 02:00 AM - Médéric RIBREUX
- Status changed from Open to Feedback

Hello, bug triage...

do you still have this problem ? | can't reproduce it on Windows 7 with QGIS 2.12.1 but perhaps have | got another installation of GDAL...

#8 - 2015-12-30 05:20 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
